:root {
    --white: #FFFFFF;
    --black: #000000;
    --dark: #232830;
    --bg-uvo: #212529;
    --very-light-pink: #C7C7C7;
    --text-input-field: #F7F7F7;
    --hospital-green: #ACD9B2;
    --uvo-success: #198754;
    --uvo-info: #0dcaf0;
    --uvo-light: #f37916;
    --uvo-dark: #f24113;
    --xs: 10px;
    --sm: 14px;
    --md: 16px;
    --lg: 18px;
    --xl: 24px;
}

.text-uvo {
    color: var(--uvo-light) !important;
}

.text-justified {
    text-align: justify;
}

.btn-uvo {
    background-color: var(--uvo-light);
    color: var(--white);
}

.btn-uvo:hover {
    background-color: var(--white);
    color: var(--uvo-light);
}

body {
    font-family: 'Montserrat', sans-serif;
}

#header img {
    width: 60px;
}

#info-tour {
    min-height: 100vh;
    display: grid;
    place-items: center;
}

#attendees {
    min-height: 100vh;
    display: grid;
    place-items: center;
}

#flyer > img:nth-child(1) {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#users {
    min-height: 100vh;
    display: grid;
    place-items: center;
}

.img-peralta {
    width: 110px;
}

.img-chacon {
    width: 110px;
}

#dashboard {
    min-height: 100vh;
    display: grid;
    place-items: center;
    width: 100%;
}

#login {
    min-height: 100vh;
    display: grid;
    place-items: center;
}

.login-card {
    background-color: rgba(255, 255, 255, 0.01);
    margin: 100px auto;
    backdrop-filter: blur(20px);
    border: solid 1px rgba(255, 255, 255, 0.5);
    border-radius: 10px;
} 

.top-card {
    color: rgba(255, 255, 255, 0.7);
} 

.top-card img {
    width: 200px;
}

.form-group {
    display: flex;
    position: relative;
}

.form-group input {
    padding-left: 45px;
    outline: none;
}

.form-group img {
    position: absolute;
    padding-left: 9px;
    padding-top: 6px;
}

.btn-primary {
    background-color: var(--uvo-light);
    color: var(--white);
    min-width: -webkit-fill-available !important;
}

.btn-primary:hover {
    background-color: var(--white);
    color: var(--uvo-light);
    min-width: -webkit-fill-available !important;
}

#qbox-container {
    min-height: 100%;
    display: grid;
    place-items: center;
}

.progress {
    border-radius: 0px !important;
}

#q-box__buttons {
    text-align: center;
}

#steps-container {
    display: grid;
    place-items: center;
}

.step {
    display: none;
}

#success {
    display: none;
}
 
#success h4 {
    color: var(--uvo-light);
}
 
.back-link {
    font-weight: 700;
    color: var(--uvo-light);
    text-decoration: none;
    font-size: 18px;
}
 
.back-link:hover {
    color: var(--uvo-dark);
}

.bg-uvo {
    background-color: var(--uvo-light);
}

label {
    margin-bottom: 5px;
    color: var(--white);
}

.q__question {
    position: relative;
}
 
.q__question:not(:last-child) {
    margin-bottom: 10px;
}
 
.question__input {
    position: absolute;
    left: -9999px;
}

.question__label {
    position: relative;
    display: block;
    line-height: 30px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    background-color: var(--dark);
    padding: 5px 20px 5px 50px;
    cursor: pointer;
    transition: all 0.15s ease-in-out;
}
 
.question__label:hover {
    border-color: var(--uvo-light);
}
 
.question__label:before,
.question__label:after {
    position: absolute;
    content: "";
}
 
.question__label:before {
    top: 8px;
    left: 10px;
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background-color: var(--dark);
    box-shadow: inset 0 0 0 1px #ced4da;
    -webkit-transition: all 0.15s ease-in-out;
    -moz-transition: all 0.15s ease-in-out;
    -o-transition: all 0.15s ease-in-out;
    transition: all 0.15s ease-in-out;
}
 
.question__input:checked+.question__label:before {
    background-color: var(--uvo-light);
    box-shadow: 0 0 0 0;
}
 
.question__input:checked+.question__label:after {
    top: 18px;
    left: 18px;
    width: 10px;
    height: 5px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(-45deg);
}
 
.form-check-input:checked,
.form-check-input:focus {
    background-color: var(--uvo-light) !important;
    outline: none !important;
    border: none !important;
}
 
input:focus {
    outline: none;
}

select:focus {
    border: 1px solid var(--uvo-light) !important;
}

option:hover {
    background-color: var(--uvo-light) !important;
}
 
#input-container {
    display: inline-block;
    box-shadow: none !important;
    margin-top: 36px !important;
}
 
label.form-check-label.radio-lb {
    margin-right: 15px;
}
 
#q-box__buttons {
    text-align: center;
}
 
input[type="text"]:focus,
input[type="email"]:focus {
    border: 1px solid var(--uvo-light);
    border-radius: 5px;
    outline: 0px !important;
    -webkit-appearance: none;
    box-shadow: none !important;
    -webkit-transition: all 0.15s ease-in-out;
    -moz-transition: all 0.15s ease-in-out;
    -o-transition: all 0.15s ease-in-out;
    transition: all 0.15s ease-in-out;
}
 
.form-check-input:checked[type=radio],
.form-check-input:checked[type=radio]:hover,
.form-check-input:checked[type=radio]:focus,
.form-check-input:checked[type=radio]:active {
    border: none !important;
    -webkit-outline: 0px !important;
    box-shadow: none !important;
}
 
.form-check-input:focus,
input[type="radio"]:hover {
    box-shadow: none;
    cursor: pointer !important;
}

.logo-adventista {
    width: 120px;
}

.mouse-hand:hover {
    cursor: pointer !important;
}

.logo-index {
    width: 250px;
}

/* highcharts */
.highcharts-figure,
.highcharts-data-table table {
    width: 500px !important;
    margin: 0.5em auto;
}

.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #ebebeb;
    margin: 5px auto;
    text-align: center;
    width: 400px;
}

.highcharts-data-table caption {
    padding: 0.5em 0;
    font-size: 1.2em;
    color: var(--uvo-light);
}

.highcharts-data-table th {
    font-weight: 600;
    padding: 0.5em;
}

.highcharts-data-table td,
.highcharts-data-table th,
.highcharts-data-table caption {
    padding: 0.5em;
}

.highcharts-data-table thead tr,
.highcharts-data-table tr:nth-child(even) {
    background:var(--dark);
}

.highcharts-data-table tr:hover {
    background: var(--dark);
}

input[type="number"] {
    min-width: 50px;
}

.border-uvo {
    border: solid 1px rgba(255, 255, 255, 0.5);
}

.highcharts-figure-attend {
    max-width: 100% !important;
}

.highcharts-root {
    max-height: 39vh !important;
}

.highcharts-figure-places {
    max-width: 100% !important;
}

.highcharts-container {
    max-height: 39vh !important;
}

.highcharts-figure-places-detail {
    max-width: 100% !important;
}

.highcharts-axis-title {
    color: var(--uvo-light) !important;
    fill: var(--uvo-light) !important;
}

.highcharts-yaxis-labels text {
    color: var(--white) !important;
    fill: var(--white) !important;
}

.highcharts-xaxis-labels text {
    color: var(--white) !important;
    fill: var(--white) !important;
}

.label-amigo {
    background-color: var(--uvo-success);
    padding: 7px;
    border-radius: 4px;
}

.label-adventista {
    background-color: var(--uvo-info);
    padding: 7px;
    border-radius: 4px;
}

ion-icon {
    color: var(--white);
    padding-top: 5px;
    font-size: 16px;
}

@media screen and (max-width: 600px) {
    .highcharts-figure,
    .highcharts-data-table table {
        width: 350px !important;
        margin: 0.5em auto;
    }
}